Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.util
Class WebResource

    java.lang.Object
      org.crosswire.common.util.WebResource

    public class WebResource

extends Object

A WebResource is backed by an URL and potentially the proxy through which it need go. It can get basic information about the resource and it can get the resource.

Author:
  DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`private org.apache.commons.httpclient.HttpClient` | `client`
`private URL` | `url`

Constructor Summary
`WebResource(URL theURL)`
`WebResource(URL theURL, String theProxyHost)`
`WebResource(URL theURL, String theProxyHost, Integer theProxyPort)`

Method Summary
`void` | `copy(URL dest)` Copy this WebResource to the destination.
`long` | `getLastModified()`
`int` | `getSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### url

    private URL url

### client

    private org.apache.commons.httpclient.HttpClient client

Constructor Detail

### WebResource

    public WebResource(URL theURL)

### WebResource

    public WebResource(URL theURL,
                       String theProxyHost)

### WebResource

    public WebResource(URL theURL,
                       String theProxyHost,
                       Integer theProxyPort)

Method Detail

### getSize

    public int getSize()

### getLastModified

    public long getLastModified()

### copy

    public void copy(URL dest)
              throws LucidException

  Copy this WebResource to the destination.

  Parameters:
    `dest` -
  Throws:
    `LucidException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD